RowSetWarning (Java SE 26 & JDK 26)
Description: declaration: module: java.sql.rowset, package: javax.sql.rowset, class: RowSetWarning
Keywords: javax.sql.rowset.RowSetWarning class

# Class RowSetWarning

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
javax.sql.rowset.RowSetWarning

All Implemented Interfaces:
  `Serializable, Iterable<Throwable>`

public class RowSetWarning extends SQLException
An extension of `SQLException` that provides information about database warnings set on `RowSet` objects. Warnings are silently chained to the object whose method call caused it to be reported. This class complements the `SQLWarning` class.

Rowset warnings may be retrieved from `JdbcRowSet`, `CachedRowSet`, `WebRowSet`, `FilteredRowSet`, or `JoinRowSet` implementations. To retrieve the first warning reported on any `RowSet` implementation, use the method `getRowSetWarnings` defined in the `JdbcRowSet` interface or the `CachedRowSet` interface. To retrieve a warning chained to the first warning, use the `RowSetWarning` method `getNextWarning`. To retrieve subsequent warnings, call `getNextWarning` on each `RowSetWarning` object that is returned.

The inherited methods `getMessage`, `getSQLState`, and `getErrorCode` retrieve information contained in a `RowSetWarning` object.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RowSetWarning()`
  Constructs a default `RowSetWarning` object.
  `RowSetWarning(String reason)`
  Constructs a `RowSetWarning` object with the given value for the reason; SQLState defaults to null, and vendorCode defaults to 0.
  `RowSetWarning(String reason, String SQLState)`
  Constructs a `RowSetWarning` object initialized with the given values for the reason and SQLState.
  `RowSetWarning(String reason, String SQLState, int vendorCode)`
  Constructs a fully specified `RowSetWarning` object initialized with the given values for the reason, SQLState and vendorCode.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RowSetWarning`
  `getNextWarning()`
  Retrieves the warning chained to this `RowSetWarning` object.
  `void`
  `setNextWarning(RowSetWarning warning)`
  Sets warning as the next warning, that is, the warning chained to this `RowSetWarning` object.

  ### Methods declared in class SQLException

  `getErrorCode, getNextException, getSQLState, iterator, setNextException`
  Modifier and Type
  Method
  Description
  `int`
  `getErrorCode()`
  Retrieves the vendor-specific exception code for this `SQLException` object.
  `SQLException`
  `getNextException()`
  Retrieves the exception chained to this `SQLException` object by setNextException(SQLException ex).
  `String`
  `getSQLState()`
  Retrieves the SQLState for this `SQLException` object.
  `Iterator<Throwable>`
  `iterator()`
  Returns an iterator over the chained SQLExceptions.
  `void`
  `setNextException(SQLException ex)`
  Adds an `SQLException` object to the end of the chain.

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`
  Modifier and Type
  Method
  Description
  `final void`
  `addSuppressed(Throwable exception)`
  Appends the specified exception to the exceptions that were suppressed in order to deliver this exception.
  `Throwable`
  `fillInStackTrace()`
  Fills in the execution stack trace.
  `Throwable`
  `getCause()`
  Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.
  `String`
  `getLocalizedMessage()`
  Creates a localized description of this throwable.
  `String`
  `getMessage()`
  Returns the detail message string of this throwable.
  `StackTraceElement[]`
  `getStackTrace()`
  Provides programmatic access to the stack trace information printed by `Throwable.printStackTrace()`.
  `final Throwable[]`
  `getSuppressed()`
  Returns an array containing all of the exceptions that were suppressed, typically by the `try`-with-resources statement, in order to deliver this exception.
  `Throwable`
  `initCause(Throwable cause)`
  Initializes the cause of this throwable to the specified value.
  `void`
  `printStackTrace()`
  Prints this throwable and its backtrace to the standard error stream.
  `void`
  `printStackTrace(PrintStream s)`
  Prints this throwable and its backtrace to the specified print stream.
  `void`
  `printStackTrace(PrintWriter s)`
  Prints this throwable and its backtrace to the specified print writer.
  `void`
  `setStackTrace(StackTraceElement[] stackTrace)`
  Sets the stack trace elements that will be returned by `Throwable.getStackTrace()` and printed by `Throwable.printStackTrace()` and related methods.
  `String`
  `toString()`
  Returns a short description of this throwable.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

  ### Methods declared in interface Iterable

  `forEach, spliterator`
  Modifier and Type
  Method
  Description
  `default void`
  `forEach(Consumer<? super Throwable> action)`
  Performs the given action for each element of the `Iterable` until all elements have been processed or the action throws an exception.
  `default Spliterator<Throwable>`
  `spliterator()`
  Creates a `Spliterator` over the elements described by this `Iterable`.

- ## Constructor Details

  - ### RowSetWarning

    public RowSetWarning(String reason)
    Constructs a `RowSetWarning` object with the given value for the reason; SQLState defaults to null, and vendorCode defaults to 0.
    Parameters:
      `reason` - a `String` object giving a description of the warning; if the `String` is `null`, this constructor behaves like the default (zero parameter) `RowSetWarning` constructor

  - ### RowSetWarning

    public RowSetWarning()
    Constructs a default `RowSetWarning` object. The reason defaults to `null`, SQLState defaults to null and vendorCode defaults to 0.

  - ### RowSetWarning

    public RowSetWarning(String reason, String SQLState)
    Constructs a `RowSetWarning` object initialized with the given values for the reason and SQLState. The vendor code defaults to 0. If the `reason` or `SQLState` parameters are `null`, this constructor behaves like the default (zero parameter) `RowSetWarning` constructor.
    Parameters:
      `reason` - a `String` giving a description of the warning;
      `SQLState` - an XOPEN code identifying the warning; if a non standard XOPEN SQLState is supplied, no exception is thrown.

  - ### RowSetWarning

    public RowSetWarning(String reason, String SQLState, int vendorCode)
    Constructs a fully specified `RowSetWarning` object initialized with the given values for the reason, SQLState and vendorCode. If the `reason`, or the `SQLState` parameters are `null`, this constructor behaves like the default (zero parameter) `RowSetWarning` constructor.
    Parameters:
      `reason` - a `String` giving a description of the warning;
      `SQLState` - an XOPEN code identifying the warning; if a non standard XOPEN SQLState is supplied, no exception is thrown.
      `vendorCode` - a database vendor-specific warning code

- ## Method Details

  - ### getNextWarning

    public RowSetWarning getNextWarning()
    Retrieves the warning chained to this `RowSetWarning` object.
    Returns:
      the `RowSetWarning` object chained to this one; if no `RowSetWarning` object is chained to this one, `null` is returned (default value)
    See Also:
      - `setNextWarning(RowSetWarning)`

  - ### setNextWarning

    public void setNextWarning(RowSetWarning warning)
    Sets warning as the next warning, that is, the warning chained to this `RowSetWarning` object.
    Parameters:
      `warning` - the `RowSetWarning` object to be set as the next warning; if the `RowSetWarning` is null, this represents the finish point in the warning chain
    See Also:
      - `getNextWarning()`